Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jini.landlord
Class Landlord.RenewResults

    java.lang.Object
      com.sun.jini.landlord.Landlord.RenewResults

All Implemented Interfaces:
  Serializable

Enclosing class:
  Landlord

public static class Landlord.RenewResults
extends Object
implements Serializable

Simple class that holds return values of the `Landlord.renewAll` method.

See Also:
  Serialized Form

Field Summary
`Exception[]` | `denied` The `i`th -1 in `granted` was denied because of `denied[i]`.
`long[]` | `granted` For each cookie passed to `renewAll`, `granted[i]` is the granted lease time, or -1 if the renewal for that lease generated an exception.

Constructor Summary
`Landlord.RenewResults(long[] granted)` Create a `RenewResults` object setting the field `granted` to the passed value, and `denied` to `null`.
`Landlord.RenewResults(long[] granted, Exception[] denied)` Create a `RenewResults` object setting the field `granted` and `denied` fields to the passed values.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### granted

    public long[] granted

  For each cookie passed to `renewAll`, `granted[i]` is the granted lease time, or -1 if the renewal for that lease generated an exception. If there was an exception, the exception is held in `denied`.

  See Also:
    `denied`

### denied

    public Exception[] denied

  The `i`th -1 in `granted` was denied because of `denied[i]`. If nothing was denied, this field is `null`.

Constructor Detail

### Landlord.RenewResults

    public Landlord.RenewResults(long[] granted)

  Create a `RenewResults` object setting the field `granted` to the passed value, and `denied` to `null`.

Parameters:
  `granted` - The value for the field `granted`

### Landlord.RenewResults

    public Landlord.RenewResults(long[] granted,
                                 Exception[] denied)

  Create a `RenewResults` object setting the field `granted` and `denied` fields to the passed values.

Parameters:
  `granted` - the value for the field `granted`
  `denied` - the value for the field `denied`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved